//
// Copyright 1999 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wRSSUserPane:
//   Generates the RSS feed for the User's Reviews

#ifndef p4wRSSUserPane_H
#define p4wRSSUserPane_H


#include "p4wSpecPane.h"


class StrDict;

class p4wRSSUserPane : public p4wPane {

public:

	p4wRSSUserPane( p4wView & ParentView, p4wRequest & Request );
	virtual	~p4wRSSUserPane();

	//
	// Render functions.
	virtual	void		Begin();
	virtual	void		Render( StrDict * varList );
	virtual	void		End();

	void				Finish();

private:
	int			fSeenBegin;
	int			fSeenData;
	int			fGotSpec;

	StrBuf		feedTitle;
	StrBuf		pathArg;
	int 		maxResults;
};

#endif // p4wRSSUserPane_H
